# Envelope File

Files of an envelope.

 - [GET /api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/envelope-file/listenvelopefiles.md): Returns the files of the specified envelope.
 - [POST /api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/envelope-file/uploadenvelopefile.md): Adds a new file to the specified envelope. The request body provides the file content (multipart/form-data) and, optionally, an initial document class assignment. Metadata values for the document clas
 - [PATCH /api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/envelope-file/reorderenvelopefiles.md): Reorders the files of the specified envelope.
 - [GET /api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files/{fileId}](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/envelope-file/getenvelopefiledetail.md): Returns the properties of a specific envelope file, including the assigned document class and its metadata values. Does not include the file content.
 - [PUT /api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files/{fileId}](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/envelope-file/updateenvelopefiledetail.md): Updates the properties of a specific envelope file. Currently supports assigning a document class with metadata values. Does not modify the file content.
 - [DELETE /api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files/{fileId}](https://docs.namirial.app/it/products/namirialsignenterprise/openapi3/envelope-file/deleteenvelopefile.md): Deletes a specific file from the specified envelope.
